#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Run the diagnose cmds on the mgmt svr

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();


GuiUtils->addHeader('hwctrl', 0, 'HW Ctrl => Run HW Probe', 1);

print "<H2>Hardware Diagnostic Probe Command and Output:</H2>\n";

$::GUI_VERBOSE = 1;      # always want to show them the cmds we are running on this page
	GuiUtils->runcmd("echo 'Probing.  This may take a while...'; /opt/diagnostics/bin/probemgr -l 0 -n $::in{nodes} -p ibm.csm.HWCtrl.rpower", 1, {NoVerbose=>1});

print "<P><BR></P>\n";

GuiUtils->addFooter("./index.cgi", "HW Ctrl", \%::in);
