#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Display refresh and data frames of install monitor page

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();

my $refreshWidth = $::GUI_VERBOSE ? '140' : '0';
#my $refreshWidth = '140';
my $params = GuiUtils->getParams(\%::in);

&main::PrintHeader();

print <<"END_OF_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<META http-equiv="Content-Style-Type" content="text/css">
<TITLE></TITLE>
</HEAD>
<FRAMESET cols="$refreshWidth,*" frameborder="NO" border="0">
  <FRAME src="monitor.cgi?refresh=1&$params" name="installmonrefresh" noresize scrolling="NO">
  <FRAME src="monitor.cgi?$params" name="installmon">
  <NOFRAMES>
  <BODY>
  <P>To view this page, you need a browser that supports frames.</P>
  </BODY>
  </NOFRAMES>
</FRAMESET>
</HTML>
END_OF_HTML

