#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Remove nodes from CSM.

use strict;
use lib $ENV{PWD};
require GuiUtils;
GuiUtils->init();

#%access=&get_module_acl;

GuiUtils->addHeader('remove', 0, 'Remove');


if (exists($::in{rmnodeButton}))       # removing nodes
  {
	my $cmd = "$GuiUtils::csmroot/bin/rmnode";
	$cmd .= " -n $::in{nodes}";
	if (exists($::in{uninstall})) { $cmd .= ' -u'; }
	if ($::config{VERBOSE}) { $cmd .= ' -v'; }
	GuiUtils->runcmd($cmd, 1);
	if ($::RUNCMD_RC == 0) { GuiUtils->msg('I', "Node(s) $::in{nodes} successfully removed from the CSM cluster."); }
  }
#else      # just displaying the page

my $code = GuiUtils->processHTML('remove-src.html');
eval $code;
if (length($@)) { print "<P>$@</P>"; }

&footer('', 'CSM Home');




