#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Display options for set up install cmd (csmsetupks or csmsetupyast)

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();
#%access=&get_module_acl;

GuiUtils->addHeader('copydistro', 0, 'Copy CD');

#my @node_array;
#foreach my $key (keys %::in) { if ($key =~ /^node\d+/) { push @node_array, $::in{$key}; } }
#test
#my $what = qq(Hostname::InstallOSName::InstallDistributionName::InstallDistributionVersion::InstallPkgArchitecture::InstallServiceLevel);
my $what = qq(Hostname::InstallOSName::InstallDistributionName::InstallDistributionVersion::InstallPkgArchitecture);
my @node_array = split(/,/, $::in{nodes});

my $attrNodeHoh = GuiUtils->getNodeAttrFromCSMDB(\@node_array, $what);
my $nodeAttrHoh = GuiUtils->reverseHashHash($attrNodeHoh);

my %items = ();
foreach my $node (keys %$nodeAttrHoh) {
	#foreach my $b (keys %{$$nodeAttrHoh{$node}}) {
        #	print "<p> $node $b:$$nodeAttrHoh{$node}{$b} </p>";
	#}
	my $item = $$nodeAttrHoh{$node}{InstallOSName}
		. " " . $$nodeAttrHoh{$node}{InstallDistributionName}
		. " " . $$nodeAttrHoh{$node}{InstallDistributionVersion}
		. " (" . $$nodeAttrHoh{$node}{InstallPkgArchitecture} . ")";
	$items{$item} = 1;

}

#my @sortedItems = sort @items;
#for my $i (0 .. $#sortedItems) {
my $i = 0;
foreach my $item (keys %items) {
	$::in{"DistroOSOptionItem$i"} = $item;
	$i += 1;
}
#}


#$::in{DistroOSOptionItem1} = "Select item one";
#$::in{DistroOSOptionItem2} = "Select item two";

my $code = GuiUtils->processHTML('copydistro-src.html');
eval $code;
if (length($@)) { print "<P>$@</P>"; }

GuiUtils->addFooter("./index.cgi", "Install Nodes", \%::in);

