#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Display options for set up install cmd (csmsetupks or csmsetupyast)

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();

GuiUtils->addHeader('installnode', 0, 'Install Nodes');

my $installnodeLink = "$GuiUtils::techRefRoot/am7cl10004.html#HDRINSTALLNODE";


my $code = GuiUtils->processHTML('installnode-src.html');
eval $code;
if (length($@)) { print "<P>$@</P>"; }

GuiUtils->addFooter("./index.cgi", "Install Nodes", \%::in);

