#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Run the rpower query cmd on the mgmt svr

use strict;
BEGIN { $::CSMDIR = '..'; }
use lib "$::CSMDIR";
require GuiUtils;
GuiUtils->init();

GuiUtils->addHeader('testpower', 0, 'Test Power Control', 1);

print "<H2>Diagnostic Commands and Output:</H2>\n";

$::GUI_VERBOSE = 1;      # always want to show them the cmds we are running on this page
if (exists($::in{testPowerButton}))     # run lssrc
  {
	GuiUtils->msg('I', 'Test power control...');
	if(GuiUtils->isEmpty($::in{nodes})) {
		GuiUtils->msg('I', 'No nodes were selected, please select nodes before test power control!');
	} else {
		GuiUtils->runcmd("$GuiUtils::csmroot/bin/rpower -n $::in{nodes} query", 1, {NoVerbose=>1});
	}
  }

print "<P><BR></P>\n";
GuiUtils->addFooter("./index.cgi", "Install Nodes", \%::in);
