#!/usr/bin/perl
#
#    Cluster Systems Management Webmin Module
#    Copyright (C) 2002 by IBM Corp.
#
# Display a man page.

use strict;
use lib $ENV{PWD};
require GuiUtils;
GuiUtils->init();

#%access=&get_module_acl;

GuiUtils->addHeader('manpage', 0, '');

my $cmd = "man -M $GuiUtils::csmroot/man " . NodeUtils->quote($::in{manpage});

print "<H2>Man Page for $::in{manpage}:</H2>\n";
GuiUtils->runcmd($cmd, 1);
print "<P><BR></P>\n";

&footer('', 'CSM Home');




