
Summary: Web Interface for CSM
Name: xcsm.web
Version: 1.0
# This is # of secs since unix epoch divided by secs in a day minus current # of days since unix epoch
# Release: echo '(('`date +%s` '+69120)/(3600*24))-12494' | bc
Release: 2
Group: System Management
Copyright: IBM Corp.
Packager: IBM Corp. <cluster@us.ibm.com>
URL: http://www.alphaworks.ibm.com/tech/ect4linux
Vendor: IBM Corp.
Source0: N/A
NoSource: 0

# AutoReqProv: no

Requires: webmin >= 0.9,  perl-CGI >= 2

%description
Provides a browser-based interface for CSM (Cluster Systems Management) based on webmin.

%files
%defattr( 555, root, root, 755 )

/usr/libexec/webmin/csm/*

#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/GuiUtils.pm
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/cfm.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/cfm-info.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/cfm-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/config.info
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/definenode-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/definenode.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/dsh.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/dsh-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/dcp.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/dcp-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/exec_dsh.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/exec_dsh-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/exec_updatenode.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/index-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/index.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/jserror.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/manpage.cgi
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/module.info
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/nodegrp-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/nodegrp.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/properties-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/properties.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/remove-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/remove.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/style.css
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/update-src.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/update.cgi
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/suggestions.html
#%attr( 444, bin, bin ) /usr/libexec/webmin/csm/remoteshell.expect
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/CSMLinuxGUIWhitepaper.html
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/README
#  %attr( 777, bin, bin ) /usr/libexec/webmin/csm/root

# Listing the directory names here picks up all the files within.
# (We can not do this for the top level directory because of the root sym link.)
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/help
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/images
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/conditions
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/perfmon
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/diagms
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/diagnode
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/hwctrl
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/softmaint
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/config
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/install
#%attr( 555, bin, bin ) /usr/libexec/webmin/csm/license



%post
# Post-install script---------------------------------------------------

if [ "$1" = 1 ]
then
  # Authorize root to use the CSM module
  if [ -e "/etc/webmin/module.infos.cache" ]
  then
  	/bin/rm -f /etc/webmin/module.infos.cache
  fi
  cp /etc/webmin/webmin.acl /etc/webmin/webmin.acl.orig
  perl -e 'while (<>) { if (/^root:/ && !/\bcsm\b/) {s/$/ csm/;} print $_; }' /etc/webmin/webmin.acl.orig >/etc/webmin/webmin.acl

  # Switch the theme to the original webmin theme (because it displays faster).
  #if [ ! -e "/etc/SuSE-release" ]
  #then
    # The necessary steps to change the theme were taken from /usr/libexec/webmin/webmin/change_theme.cgi
    # In the config file, change "theme=blahblah" to "theme="
    cp /etc/webmin/config /etc/webmin/config.orig
    perl -e 'while (<>) { if (/^theme=\S/) {s/=.+$/=/;} print $_; }' /etc/webmin/config.orig >/etc/webmin/config

    # In the miniserv.conf file, remove the "preroot=" line
    cp /etc/webmin/miniserv.conf /etc/webmin/miniserv.conf.orig
    grep -v -E "^preroot=" /etc/webmin/miniserv.conf.orig > /etc/webmin/miniserv.conf

    # Signal the daemon to restart itself
    kill -s SIGHUP `cat /var/webmin/miniserv.pid`
  #fi
  rm -f /usr/libexec/webmin/csm/root
  ln -s / /usr/libexec/webmin/csm/root
fi

%preun
# Pre-uninstall script -------------------------------------------------

if [ "$1" = 0 ]
then
  # should we remove the csm acl from root?

  true
fi
 
